# disable debug package to see if that helps on sles
%global debug_package %{nil}
%define mysqlconfdir %_sysconfdir/my.cnf.d
%define mysqlsystemddir %_sysconfdir/systemd/system/mariadb.service.d

Summary: MySQL server for OP5 Monitor
Name: op5-mysql
Version: %{op5version}
Release: %{op5release}%{?dist}
Epoch: 1
Group: op5/system-addons
License: MIT
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: mariadb-server
%if 0%{?rhel} <= 7
Requires: php-mysql
Requires: MySQL-python
%else
Requires: php >= 7.2
Requires: php-mysqlnd
%endif
Provides: op5-monitor-supported-database

%description
Provide MySQL server, drivers and config for OP5 Monitor.

%prep
%setup -q

%build

%install
install -D -m 644 op5_default_tweaks.cnf %buildroot%mysqlconfdir/op5_default_tweaks.cnf
install -D -m 644 op5_limitnofile_override.conf %buildroot%mysqlsystemddir/op5_limitnofile_override.conf

%post
systemctl daemon-reload
systemctl enable mariadb.service
systemctl restart mariadb

%postun
systemctl daemon-reload
systemctl restart mariadb

%files
%doc README.md
%mysqlconfdir/op5_default_tweaks.cnf
%mysqlsystemddir
%mysqlsystemddir/op5_limitnofile_override.conf

%clean
rm -rf %buildroot

%changelog
* Thu Mar 25 2021 Johan Thorén <jthoren@itrsgroup.com>
- Add systemd override to set LimitNOFILE=4096
* Tue Feb 09 2021 Aksel Sjögren <asjogren@itrsgroup.com>
- Adapt to building for EL8.
